<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@mipmap/bg_home"
        app:layout_constraintTop_toTopOf="parent" />

    <include
        android:id="@+id/toolbar"
        layout="@layout/layout_toolbar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_marginTop="25dp"
        app:layout_constraintTop_toTopOf="parent" />


    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvBalance"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:layout_marginStart="22dp"
        android:text="@string/mine_balance"
        android:textColor="#828C9D"
        android:textSize="18dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar" />

    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvBalanceCount"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:drawableStart="@mipmap/icon_coin"
        android:drawablePadding="5dp"
        android:textColor="#131B23"
        android:textSize="32dp"
        android:layout_marginStart="22dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvBalance"
        tools:text="34.5K" />

    <ImageView
        android:layout_marginEnd="23dp"
        android:src="@mipmap/icon_top_right"
        app:layout_constraintBottom_toBottomOf="@+id/tvBalanceCount"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="26dp"
        android:background="@drawable/shape_white_top_20"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvBalanceCount">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_marginBottom="25dp"
            app:layout_constraintBottom_toTopOf="@+id/btRecharge"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="match_parent"
            android:layout_height="0dp"/>

        <com.swago.baseswago.cusview.BoldTextView
            android:id="@+id/btRecharge"
            android:text="@string/recharge"
            android:textColor="#fff"
            android:textSize="18dp"
            android:gravity="center"
            android:layout_marginBottom="25dp"
            android:background="@drawable/shape_3d7fff_36"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="match_parent"
            android:layout_height="44dp"/>
        

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>